package com.huimv.produce.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.produce.entity.ProdSales;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.produce.entity.dto.ClientHomeDto;
import com.huimv.produce.entity.dto.ProdSalesDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author astupidcoder
 * @since 2021-11-25
 */
@Repository
public interface ProdSalesMapper extends BaseMapper<ProdSales> {

    ProdSalesDto countMonth(@Param(Constants.WRAPPER)QueryWrapper<ProdSales> wrapper);

    ClientHomeDto listClientHome(@Param("farmId") Integer farmId);
}
