package com.huimv.produce.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.produce.entity.SysFodder;
import com.huimv.produce.entity.dto.FodderDto;
import com.huimv.produce.entity.dto.ScreenDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author astupidcoder
 * @since 2021-11-15
 */
@Repository
public interface SysFodderMapper extends BaseMapper<SysFodder> {

    List<SysFodder> countDayValue(@Param(Constants.WRAPPER)QueryWrapper<SysFodder> wrapper);

    List<FodderDto> countAllDayValue(@Param(Constants.WRAPPER)QueryWrapper<SysFodder> wrapper);

    Integer countAllValue(@Param(Constants.WRAPPER)QueryWrapper<SysFodder> wrapper);

    ScreenDto fodderMapper();
}
